# Reference

## boost::redis::logger::logger

Constructors

### Synopses

Declared in `<boost/redis/logger.hpp>`

Constructor from a level.

    logger(level l = level::info);

» more...

Constructor from a level and a function.

    logger(
        level l,
        std::function<void(level, std::string_view)> fn);

» more...

### Parameters

Name | Description
l | The value to set `lvl` to.
fn | The value to set `fn` to.

Created with MrDocs